package com.jeeplus.modules.filing.constructionStage.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

import java.util.Date;

public class SecurityManagment extends DataEntity<SecurityManagment> {
    /**
     * 项目编码
     */
    private String projectCode;

    /**
     * 单体编码
     */
    private String monomerCode;

    /**
     * 项目名称
     */
    private String entryName;

    /**
     * 分包单位名称
     * */
    private String nameOfSubcontractor;
    /**
     * 项目地点
     * */
    private String projectLocation;
    /**
     * 四级风险内容
     * */
    private String levelRiskContent;
    /**
     * 四级风险实施时间
     * */
    private Date levelRiskTime;
    /**
     * “标准化开工”时间
     * */
    private Date standStartTime;
    /**
     * “标准化转序”时间
     * */
    private Date standTransferTime;
    /**
     * “标准化预验收”时间
     * */
    private Date standAcceptanceTime;
    /**
     * 约谈日期
     * */
    private Date dateOfInterview;
    /**
     * 约谈会议纪要
     * */
    private String mettingMinutes;
    /**
     * 累计扣款金额
     * */
    private String accumulatedAmount;
    /**
     * 扣款单
     * */
    private String deductionForm;

    @ExcelField(title="项目编码", align=2, sort=1)
    public String getProjectCode() {
        return projectCode;
    }

    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    @ExcelField(title="单体编码", align=2, sort=2)
    public String getMonomerCode() {
        return monomerCode;
    }

    public void setMonomerCode(String monomerCode) {
        this.monomerCode = monomerCode;
    }

    @ExcelField(title="项目名称", align=2, sort=3)
    public String getEntryName() {
        return entryName;
    }

    public void setEntryName(String entryName) {
        this.entryName = entryName;
    }

    public String getNameOfSubcontractor() {
        return nameOfSubcontractor;
    }

    public void setNameOfSubcontractor(String nameOfSubcontractor) {
        this.nameOfSubcontractor = nameOfSubcontractor;
    }

    @ExcelField(title="项目地点", align=2, sort=4)
    public String getProjectLocation() {
        return projectLocation;
    }

    public void setProjectLocation(String projectLocation) {
        this.projectLocation = projectLocation;
    }

    @ExcelField(title="四级风险内容", align=2, sort=5)
    public String getLevelRiskContent() {
        return levelRiskContent;
    }

    public void setLevelRiskContent(String levelRiskContent) {
        this.levelRiskContent = levelRiskContent;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="四级风险实施时间", align=2, sort=6)
    public Date getLevelRiskTime() {
        return levelRiskTime;
    }

    public void setLevelRiskTime(Date levelRiskTime) {
        this.levelRiskTime = levelRiskTime;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="“标准化开工”时间", align=2, sort=7)
    public Date getStandStartTime() {
        return standStartTime;
    }

    public void setStandStartTime(Date standStartTime) {
        this.standStartTime = standStartTime;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="“标准化转序”时间", align=2, sort=8)
    public Date getStandTransferTime() {
        return standTransferTime;
    }

    public void setStandTransferTime(Date standTransferTime) {
        this.standTransferTime = standTransferTime;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="“标准化预验收”时间", align=2, sort=9)
    public Date getStandAcceptanceTime() {
        return standAcceptanceTime;
    }

    public void setStandAcceptanceTime(Date standAcceptanceTime) {
        this.standAcceptanceTime = standAcceptanceTime;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="约谈日期", align=2, sort=10)
    public Date getDateOfInterview() {
        return dateOfInterview;
    }

    public void setDateOfInterview(Date dateOfInterview) {
        this.dateOfInterview = dateOfInterview;
    }

    public String getMettingMinutes() {
        return mettingMinutes;
    }

    public void setMettingMinutes(String mettingMinutes) {
        this.mettingMinutes = mettingMinutes;
    }

    @ExcelField(title="累计扣款金额", align=2, sort=11)
    public String getAccumulatedAmount() {
        return accumulatedAmount;
    }

    public void setAccumulatedAmount(String accumulatedAmount) {
        this.accumulatedAmount = accumulatedAmount;
    }

    public String getDeductionForm() {
        return deductionForm;
    }

    public void setDeductionForm(String deductionForm) {
        this.deductionForm = deductionForm;
    }
}
